Subject: bug#5686 closed by Stefan Monnier <[email-masked]> (Re: bug#5686: M-x man thinks the "/O" of "I/O" is a clickable file path)

From: [email-masked] (Emacs bug Tracking System)
Date: Sat, 06 Mar 2010 01:27:03 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#5686: M-x man thinks the "/O" of "I/O" is a clickable file path

It has been closed by Stefan Monnier <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Stefan Monnier <[email-masked]> by
replying to this email.

-- 
5686: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5686
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5686: M-x man thinks the "/O" of "I/O" is a clickable file path
From: Stefan Monnier <[email-masked]>
To: [email-masked]
Date: Fri, 05 Mar 2010 20:20:17 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

>> M-x man thinks the "/O" of "I/O" is a clickable file path.
> Thanks.  I've just installed the patch below which should fix it.

Forgot to close it, sorry,

        Stefan

Subject: M-x man thinks the "/O" of "I/O" is a clickable file path
From: [email-masked]
To: [email-masked]
Date: Sat, 06 Mar 2010 03:11:00 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

M-x man thinks the "/O" of "I/O" is a clickable file path.
$ man mount|grep I/O|sed q
       async  All I/O to the filesystem should be done asynchronously.
C-u C-x = shows
 There are text properties here:
   Man-target-string    "/O"
   button               (t)
   category             Man-xref-normal-file-button

Anyways relative file paths like bla/zla usually aren't useful either
for clicking on on a man page, so perhaps adjust the regexp involved to
not assume that they are to be made clickable.

In emacs -Q -nw the /O of I/O glows blue, so it is much more noticeable
than the underlined form seen in X windows. I wouldn't have noticed if I
didn't use emacs -nw. emacs-version "23.1.93.1".